1. Registry
  2. Packages
  3. AWS Cloud Control
  4. API Docs
  5. glue
  6. ConnectionType

We recommend new projects start with resources from the AWS provider.

Viewing docs for AWS Cloud Control v1.86.0
published on Wednesday, Nov 18, 2026 by Pulumi
aws-native logo aws-native logo AWS Cloud Control

We recommend new projects start with resources from the AWS provider.

Viewing docs for AWS Cloud Control v1.86.0
published on Wednesday, Nov 18, 2026 by Pulumi

    Registers a custom connection type in Glue based on the configuration provided. This enables customers to configure custom connectors for any data source with REST-based APIs.

    Create ConnectionType Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new ConnectionType(name: string, args: ConnectionTypeArgs, opts?: CustomResourceOptions);
    @overload
    def ConnectionType(resource_name: str,
                       args: ConnectionTypeArgs,
                       opts: Optional[ResourceOptions] = None)
    
    @overload
    def ConnectionType(resource_name: str,
                       opts: Optional[ResourceOptions] = None,
                       connection_type: Optional[str] = None,
                       rest_configuration: Optional[ConnectionTypeRestConfigurationArgs] = None,
                       connection_properties: Optional[ConnectionTypeConnectionPropertiesConfigurationArgs] = None,
                       connector_authentication_configuration: Optional[ConnectionTypeConnectorAuthenticationConfigurationArgs] = None,
                       description: Optional[str] = None,
                       integration_type: Optional[ConnectionTypeIntegrationType] = None,
                       tags: Optional[Sequence[_root_inputs.TagArgs]] = None)
    func NewConnectionType(ctx *Context, name string, args ConnectionTypeArgs, opts ...ResourceOption) (*ConnectionType, error)
    public ConnectionType(string name, ConnectionTypeArgs args, CustomResourceOptions? opts = null)
    public ConnectionType(String name, ConnectionTypeArgs args)
    public ConnectionType(String name, ConnectionTypeArgs args, CustomResourceOptions options)
    
    type: aws-native:glue:ConnectionType
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "aws-native_glue_connection_type" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args ConnectionTypeArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ConnectionTypeArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ConnectionTypeArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ConnectionTypeArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ConnectionTypeArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    ConnectionType Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The ConnectionType resource accepts the following input properties:

    ConnectionType string
    The name of the connection type. Must be prefixed with REST-.
    RestConfiguration ConnectionTypeRestConfigurationArgs
    ConnectionProperties ConnectionTypeConnectionPropertiesConfigurationArgs
    ConnectorAuthenticationConfiguration ConnectionTypeConnectorAuthenticationConfigurationArgs
    Description string
    A description of the connection type.
    IntegrationType ConnectionTypeIntegrationType
    The integration type for the connection. Currently only REST is supported.
    Tags TagArgs
    Tags to assign to the connection type.
    connection_type string
    The name of the connection type. Must be prefixed with REST-.
    rest_configuration object
    connection_properties object
    connector_authentication_configuration object
    description string
    A description of the connection type.
    integration_type "REST"
    The integration type for the connection. Currently only REST is supported.
    tags list(object)
    Tags to assign to the connection type.
    connectionType String
    The name of the connection type. Must be prefixed with REST-.
    restConfiguration ConnectionTypeRestConfiguration
    connectionProperties ConnectionTypeConnectionPropertiesConfiguration
    connectorAuthenticationConfiguration ConnectionTypeConnectorAuthenticationConfiguration
    description String
    A description of the connection type.
    integrationType ConnectionTypeIntegrationType
    The integration type for the connection. Currently only REST is supported.
    tags List<Tag>
    Tags to assign to the connection type.
    connectionType string
    The name of the connection type. Must be prefixed with REST-.
    restConfiguration ConnectionTypeRestConfiguration
    connectionProperties ConnectionTypeConnectionPropertiesConfiguration
    connectorAuthenticationConfiguration ConnectionTypeConnectorAuthenticationConfiguration
    description string
    A description of the connection type.
    integrationType ConnectionTypeIntegrationType
    The integration type for the connection. Currently only REST is supported.
    tags Tag[]
    Tags to assign to the connection type.
    connection_type str
    The name of the connection type. Must be prefixed with REST-.
    rest_configuration ConnectionTypeRestConfigurationArgs
    connection_properties ConnectionTypeConnectionPropertiesConfigurationArgs
    connector_authentication_configuration ConnectionTypeConnectorAuthenticationConfigurationArgs
    description str
    A description of the connection type.
    integration_type ConnectionTypeIntegrationType
    The integration type for the connection. Currently only REST is supported.
    tags Sequence[TagArgs]
    Tags to assign to the connection type.
    connectionType String
    The name of the connection type. Must be prefixed with REST-.
    restConfiguration Property Map
    connectionProperties Property Map
    connectorAuthenticationConfiguration Property Map
    description String
    A description of the connection type.
    integrationType "REST"
    The integration type for the connection. Currently only REST is supported.
    tags List<Property Map>
    Tags to assign to the connection type.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the ConnectionType resource produces the following output properties:

    ConnectionTypeArn string
    The Amazon Resource Name (ARN) of the registered connection type.
    Id string
    The provider-assigned unique ID for this managed resource.
    ConnectionTypeArn string
    The Amazon Resource Name (ARN) of the registered connection type.
    Id string
    The provider-assigned unique ID for this managed resource.
    connection_type_arn string
    The Amazon Resource Name (ARN) of the registered connection type.
    id string
    The provider-assigned unique ID for this managed resource.
    connectionTypeArn String
    The Amazon Resource Name (ARN) of the registered connection type.
    id String
    The provider-assigned unique ID for this managed resource.
    connectionTypeArn string
    The Amazon Resource Name (ARN) of the registered connection type.
    id string
    The provider-assigned unique ID for this managed resource.
    connection_type_arn str
    The Amazon Resource Name (ARN) of the registered connection type.
    id str
    The provider-assigned unique ID for this managed resource.
    connectionTypeArn String
    The Amazon Resource Name (ARN) of the registered connection type.
    id String
    The provider-assigned unique ID for this managed resource.

    Look up Existing ConnectionType Resource

    Get an existing ConnectionType resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, opts?: CustomResourceOptions): ConnectionType
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None) -> ConnectionType
    func GetConnectionType(ctx *Context, name string, id IDInput, state *ConnectionTypeState, opts ...ResourceOption) (*ConnectionType, error)
    public static ConnectionType Get(string name, Input<string> id, CustomResourceOptions? opts = null)
    public static ConnectionType get(String name, Output<String> id, CustomResourceOptions options)
    resources:  existingConnectionType:    type: aws-native:glue:ConnectionType    get:      id: ${id}
    import {
      to = aws-native_glue_connection_type.example
      id = "${id}"
    }
    
    name string
    The unique name of the resulting resource.
    id Input<ID>
    The unique provider ID of the resource to look up.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resulting resource.
    id str
    The unique provider ID of the resource to look up.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resulting resource.
    id IDInput
    The unique provider ID of the resource to look up.
    state ConnectionTypeState
    Pass nil. This resource has no state arguments.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resulting resource.
    id Input<string>
    The unique provider ID of the resource to look up.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resulting resource.
    id Output<String>
    The unique provider ID of the resource to look up.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Supporting Types

    ConnectionTypeBasicAuthenticationProperties, ConnectionTypeBasicAuthenticationPropertiesArgs

    Basic authentication configuration.

    ConnectionTypeBetweenConfiguration, ConnectionTypeBetweenConfigurationArgs

    Configuration that defines how BETWEEN range filter operations are translated into REST API request parameters.

    HighBoundKey string
    The parameter name used for the upper bound value in a BETWEEN filter operation.
    LowBoundKey string
    The parameter name used for the lower bound value in a BETWEEN filter operation.
    Template string
    A template string for constructing the BETWEEN filter expression.
    HighBoundKey string
    The parameter name used for the upper bound value in a BETWEEN filter operation.
    LowBoundKey string
    The parameter name used for the lower bound value in a BETWEEN filter operation.
    Template string
    A template string for constructing the BETWEEN filter expression.
    high_bound_key string
    The parameter name used for the upper bound value in a BETWEEN filter operation.
    low_bound_key string
    The parameter name used for the lower bound value in a BETWEEN filter operation.
    template string
    A template string for constructing the BETWEEN filter expression.
    highBoundKey String
    The parameter name used for the upper bound value in a BETWEEN filter operation.
    lowBoundKey String
    The parameter name used for the lower bound value in a BETWEEN filter operation.
    template String
    A template string for constructing the BETWEEN filter expression.
    highBoundKey string
    The parameter name used for the upper bound value in a BETWEEN filter operation.
    lowBoundKey string
    The parameter name used for the lower bound value in a BETWEEN filter operation.
    template string
    A template string for constructing the BETWEEN filter expression.
    high_bound_key str
    The parameter name used for the upper bound value in a BETWEEN filter operation.
    low_bound_key str
    The parameter name used for the lower bound value in a BETWEEN filter operation.
    template str
    A template string for constructing the BETWEEN filter expression.
    highBoundKey String
    The parameter name used for the upper bound value in a BETWEEN filter operation.
    lowBoundKey String
    The parameter name used for the lower bound value in a BETWEEN filter operation.
    template String
    A template string for constructing the BETWEEN filter expression.

    ConnectionTypeClientCredentialsProperties, ConnectionTypeClientCredentialsPropertiesArgs

    OAuth2 client credentials configuration.

    ConnectionTypeClientCredentialsPropertiesContentType

    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    ConnectionTypeClientCredentialsPropertiesContentTypeApplicationJsonAPPLICATION_JSON
    ConnectionTypeClientCredentialsPropertiesContentTypeUrlEncodedURL_ENCODED
    Value
    APPLICATION_JSON
    URL_ENCODED
    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    APPLICATION_JSONAPPLICATION_JSON
    URL_ENCODEDURL_ENCODED
    Value
    APPLICATION_JSON
    URL_ENCODED

    ConnectionTypeClientCredentialsPropertiesRequestMethod

    NameValue
    GetGET
    PostPOST
    NameValue
    ConnectionTypeClientCredentialsPropertiesRequestMethodGetGET
    ConnectionTypeClientCredentialsPropertiesRequestMethodPostPOST
    Value
    GET
    POST
    NameValue
    GetGET
    PostPOST
    NameValue
    GetGET
    PostPOST
    NameValue
    GETGET
    POSTPOST
    Value
    GET
    POST

    ConnectionTypeConnectionPropertiesConfiguration, ConnectionTypeConnectionPropertiesConfigurationArgs

    Configuration that defines the base URL and additional request parameters needed during connection creation.

    additional_request_parameters list(object)
    Key-value pairs of additional request parameters.
    url object
    additionalRequestParameters List<Property Map>
    Key-value pairs of additional request parameters.
    url Property Map

    ConnectionTypeConnectorAuthenticationConfiguration, ConnectionTypeConnectorAuthenticationConfigurationArgs

    Configuration that defines supported authentication types and required properties.

    ConnectionTypeConnectorAuthenticationConfigurationAuthenticationTypesItem

    NameValue
    BasicBASIC
    Oauth2OAUTH2
    CustomCUSTOM
    IamIAM
    NameValue
    ConnectionTypeConnectorAuthenticationConfigurationAuthenticationTypesItemBasicBASIC
    ConnectionTypeConnectorAuthenticationConfigurationAuthenticationTypesItemOauth2OAUTH2
    ConnectionTypeConnectorAuthenticationConfigurationAuthenticationTypesItemCustomCUSTOM
    ConnectionTypeConnectorAuthenticationConfigurationAuthenticationTypesItemIamIAM
    Value
    BASIC
    OAUTH2
    CUSTOM
    IAM
    NameValue
    BasicBASIC
    Oauth2OAUTH2
    CustomCUSTOM
    IamIAM
    NameValue
    BasicBASIC
    Oauth2OAUTH2
    CustomCUSTOM
    IamIAM
    NameValue
    BASICBASIC
    OAUTH2OAUTH2
    CUSTOMCUSTOM
    IAMIAM
    Value
    BASIC
    OAUTH2
    CUSTOM
    IAM

    ConnectionTypeConnectorAuthorizationCodeProperties, ConnectionTypeConnectorAuthorizationCodePropertiesArgs

    OAuth2 authorization code configuration.

    AuthorizationCode Pulumi.AwsNative.Glue.Inputs.ConnectionTypeConnectorProperty
    AuthorizationCodeUrl Pulumi.AwsNative.Glue.Inputs.ConnectionTypeConnectorProperty
    ClientId Pulumi.AwsNative.Glue.Inputs.ConnectionTypeSecretConnectorProperty
    ClientSecret Pulumi.AwsNative.Glue.Inputs.ConnectionTypeSecretConnectorProperty
    ContentType Pulumi.AwsNative.Glue.ConnectionTypeConnectorAuthorizationCodePropertiesContentType
    Prompt Pulumi.AwsNative.Glue.Inputs.ConnectionTypeConnectorProperty
    RedirectUri Pulumi.AwsNative.Glue.Inputs.ConnectionTypeConnectorProperty
    RequestMethod Pulumi.AwsNative.Glue.ConnectionTypeConnectorAuthorizationCodePropertiesRequestMethod
    Scope Pulumi.AwsNative.Glue.Inputs.ConnectionTypeConnectorProperty
    TokenUrl Pulumi.AwsNative.Glue.Inputs.ConnectionTypeConnectorProperty
    TokenUrlParameters List<Pulumi.AwsNative.Glue.Inputs.ConnectionTypeConnectorProperty>

    ConnectionTypeConnectorAuthorizationCodePropertiesContentType

    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    ConnectionTypeConnectorAuthorizationCodePropertiesContentTypeApplicationJsonAPPLICATION_JSON
    ConnectionTypeConnectorAuthorizationCodePropertiesContentTypeUrlEncodedURL_ENCODED
    Value
    APPLICATION_JSON
    URL_ENCODED
    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    APPLICATION_JSONAPPLICATION_JSON
    URL_ENCODEDURL_ENCODED
    Value
    APPLICATION_JSON
    URL_ENCODED

    ConnectionTypeConnectorAuthorizationCodePropertiesRequestMethod

    NameValue
    GetGET
    PostPOST
    NameValue
    ConnectionTypeConnectorAuthorizationCodePropertiesRequestMethodGetGET
    ConnectionTypeConnectorAuthorizationCodePropertiesRequestMethodPostPOST
    Value
    GET
    POST
    NameValue
    GetGET
    PostPOST
    NameValue
    GetGET
    PostPOST
    NameValue
    GETGET
    POSTPOST
    Value
    GET
    POST

    ConnectionTypeConnectorOAuth2Properties, ConnectionTypeConnectorOAuth2PropertiesArgs

    OAuth2 configuration container.

    ConnectionTypeConnectorOAuth2PropertiesOAuth2GrantType

    The OAuth2 grant type to use.

    NameValue
    ClientCredentialsCLIENT_CREDENTIALS
    JwtBearerJWT_BEARER
    AuthorizationCodeAUTHORIZATION_CODE
    NameValue
    ConnectionTypeConnectorOAuth2PropertiesOAuth2GrantTypeClientCredentialsCLIENT_CREDENTIALS
    ConnectionTypeConnectorOAuth2PropertiesOAuth2GrantTypeJwtBearerJWT_BEARER
    ConnectionTypeConnectorOAuth2PropertiesOAuth2GrantTypeAuthorizationCodeAUTHORIZATION_CODE
    Value
    CLIENT_CREDENTIALS
    JWT_BEARER
    AUTHORIZATION_CODE
    NameValue
    ClientCredentialsCLIENT_CREDENTIALS
    JwtBearerJWT_BEARER
    AuthorizationCodeAUTHORIZATION_CODE
    NameValue
    ClientCredentialsCLIENT_CREDENTIALS
    JwtBearerJWT_BEARER
    AuthorizationCodeAUTHORIZATION_CODE
    NameValue
    CLIENT_CREDENTIALSCLIENT_CREDENTIALS
    JWT_BEARERJWT_BEARER
    AUTHORIZATION_CODEAUTHORIZATION_CODE
    Value
    CLIENT_CREDENTIALS
    JWT_BEARER
    AUTHORIZATION_CODE

    ConnectionTypeConnectorProperty, ConnectionTypeConnectorPropertyArgs

    Defines a property configuration for connection types.

    Name string
    The name of the property.
    PropertyType Pulumi.AwsNative.Glue.ConnectionTypeConnectorPropertyPropertyType
    The data type of this property.
    Required bool
    Indicates whether the property is required.
    AllowedValues List<string>
    A list of allowed values for the property.
    DefaultValue string
    The default value for the property.
    KeyOverride string
    A key name to use when sending this property in API requests.
    PropertyLocation Pulumi.AwsNative.Glue.ConnectionTypeConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    Name string
    The name of the property.
    PropertyType ConnectionTypeConnectorPropertyPropertyType
    The data type of this property.
    Required bool
    Indicates whether the property is required.
    AllowedValues []string
    A list of allowed values for the property.
    DefaultValue string
    The default value for the property.
    KeyOverride string
    A key name to use when sending this property in API requests.
    PropertyLocation ConnectionTypeConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    name string
    The name of the property.
    property_type "USER_INPUT" | "SECRET" | "READ_ONLY" | "UNUSED" | "SECRET_OR_USER_INPUT"
    The data type of this property.
    required bool
    Indicates whether the property is required.
    allowed_values list(string)
    A list of allowed values for the property.
    default_value string
    The default value for the property.
    key_override string
    A key name to use when sending this property in API requests.
    property_location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH"
    Specifies where this property should be included in REST requests.
    name String
    The name of the property.
    propertyType ConnectionTypeConnectorPropertyPropertyType
    The data type of this property.
    required Boolean
    Indicates whether the property is required.
    allowedValues List<String>
    A list of allowed values for the property.
    defaultValue String
    The default value for the property.
    keyOverride String
    A key name to use when sending this property in API requests.
    propertyLocation ConnectionTypeConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    name string
    The name of the property.
    propertyType ConnectionTypeConnectorPropertyPropertyType
    The data type of this property.
    required boolean
    Indicates whether the property is required.
    allowedValues string[]
    A list of allowed values for the property.
    defaultValue string
    The default value for the property.
    keyOverride string
    A key name to use when sending this property in API requests.
    propertyLocation ConnectionTypeConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    name str
    The name of the property.
    property_type ConnectionTypeConnectorPropertyPropertyType
    The data type of this property.
    required bool
    Indicates whether the property is required.
    allowed_values Sequence[str]
    A list of allowed values for the property.
    default_value str
    The default value for the property.
    key_override str
    A key name to use when sending this property in API requests.
    property_location ConnectionTypeConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    name String
    The name of the property.
    propertyType "USER_INPUT" | "SECRET" | "READ_ONLY" | "UNUSED" | "SECRET_OR_USER_INPUT"
    The data type of this property.
    required Boolean
    Indicates whether the property is required.
    allowedValues List<String>
    A list of allowed values for the property.
    defaultValue String
    The default value for the property.
    keyOverride String
    A key name to use when sending this property in API requests.
    propertyLocation "HEADER" | "BODY" | "QUERY_PARAM" | "PATH"
    Specifies where this property should be included in REST requests.

    ConnectionTypeConnectorPropertyPropertyLocation

    Specifies where this property should be included in REST requests.

    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    ConnectionTypeConnectorPropertyPropertyLocationHeaderHEADER
    ConnectionTypeConnectorPropertyPropertyLocationBodyBODY
    ConnectionTypeConnectorPropertyPropertyLocationQueryParamQUERY_PARAM
    ConnectionTypeConnectorPropertyPropertyLocationPathPATH
    Value
    HEADER
    BODY
    QUERY_PARAM
    PATH
    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    HEADERHEADER
    BODYBODY
    QUERY_PARAMQUERY_PARAM
    PATHPATH
    Value
    HEADER
    BODY
    QUERY_PARAM
    PATH

    ConnectionTypeConnectorPropertyPropertyType

    The data type of this property.

    NameValue
    UserInputUSER_INPUT
    SecretSECRET
    ReadOnlyREAD_ONLY
    UnusedUNUSED
    SecretOrUserInputSECRET_OR_USER_INPUT
    NameValue
    ConnectionTypeConnectorPropertyPropertyTypeUserInputUSER_INPUT
    ConnectionTypeConnectorPropertyPropertyTypeSecretSECRET
    ConnectionTypeConnectorPropertyPropertyTypeReadOnlyREAD_ONLY
    ConnectionTypeConnectorPropertyPropertyTypeUnusedUNUSED
    ConnectionTypeConnectorPropertyPropertyTypeSecretOrUserInputSECRET_OR_USER_INPUT
    Value
    USER_INPUT
    SECRET
    READ_ONLY
    UNUSED
    SECRET_OR_USER_INPUT
    NameValue
    UserInputUSER_INPUT
    SecretSECRET
    ReadOnlyREAD_ONLY
    UnusedUNUSED
    SecretOrUserInputSECRET_OR_USER_INPUT
    NameValue
    UserInputUSER_INPUT
    SecretSECRET
    ReadOnlyREAD_ONLY
    UnusedUNUSED
    SecretOrUserInputSECRET_OR_USER_INPUT
    NameValue
    USER_INPUTUSER_INPUT
    SECRETSECRET
    READ_ONLYREAD_ONLY
    UNUSEDUNUSED
    SECRET_OR_USER_INPUTSECRET_OR_USER_INPUT
    Value
    USER_INPUT
    SECRET
    READ_ONLY
    UNUSED
    SECRET_OR_USER_INPUT

    ConnectionTypeCursorConfiguration, ConnectionTypeCursorConfigurationArgs

    Cursor-based pagination configuration.

    ConnectionTypeCustomAuthenticationProperties, ConnectionTypeCustomAuthenticationPropertiesArgs

    Custom authentication configuration.

    ConnectionTypeEntityConfiguration, ConnectionTypeEntityConfigurationArgs

    Configuration for interacting with a specific data entity.

    Schema Dictionary<string, Pulumi.AwsNative.Glue.Inputs.ConnectionTypeFieldDefinition>
    The schema definition for this entity.
    SourceConfiguration Pulumi.AwsNative.Glue.Inputs.ConnectionTypeSourceConfiguration
    Schema map[string]ConnectionTypeFieldDefinition
    The schema definition for this entity.
    SourceConfiguration ConnectionTypeSourceConfiguration
    schema map(object)
    The schema definition for this entity.
    source_configuration object
    schema Map<String,ConnectionTypeFieldDefinition>
    The schema definition for this entity.
    sourceConfiguration ConnectionTypeSourceConfiguration
    schema {[key: string]: ConnectionTypeFieldDefinition}
    The schema definition for this entity.
    sourceConfiguration ConnectionTypeSourceConfiguration
    schema Mapping[str, ConnectionTypeFieldDefinition]
    The schema definition for this entity.
    source_configuration ConnectionTypeSourceConfiguration
    schema Map<Property Map>
    The schema definition for this entity.
    sourceConfiguration Property Map

    ConnectionTypeExtractedParameter, ConnectionTypeExtractedParameterArgs

    Parameter extraction configuration.

    DefaultValue string
    The default value.
    Key string
    The parameter key name.
    PropertyLocation ConnectionTypeExtractedParameterPropertyLocation
    Specifies where to place the parameter in requests.
    Value ConnectionTypeResponseExtractionMapping
    default_value string
    The default value.
    key string
    The parameter key name.
    property_location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH"
    Specifies where to place the parameter in requests.
    value object
    defaultValue String
    The default value.
    key String
    The parameter key name.
    propertyLocation ConnectionTypeExtractedParameterPropertyLocation
    Specifies where to place the parameter in requests.
    value ConnectionTypeResponseExtractionMapping
    defaultValue string
    The default value.
    key string
    The parameter key name.
    propertyLocation ConnectionTypeExtractedParameterPropertyLocation
    Specifies where to place the parameter in requests.
    value ConnectionTypeResponseExtractionMapping
    default_value str
    The default value.
    key str
    The parameter key name.
    property_location ConnectionTypeExtractedParameterPropertyLocation
    Specifies where to place the parameter in requests.
    value ConnectionTypeResponseExtractionMapping
    defaultValue String
    The default value.
    key String
    The parameter key name.
    propertyLocation "HEADER" | "BODY" | "QUERY_PARAM" | "PATH"
    Specifies where to place the parameter in requests.
    value Property Map

    ConnectionTypeExtractedParameterPropertyLocation

    Specifies where to place the parameter in requests.

    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    ConnectionTypeExtractedParameterPropertyLocationHeaderHEADER
    ConnectionTypeExtractedParameterPropertyLocationBodyBODY
    ConnectionTypeExtractedParameterPropertyLocationQueryParamQUERY_PARAM
    ConnectionTypeExtractedParameterPropertyLocationPathPATH
    Value
    HEADER
    BODY
    QUERY_PARAM
    PATH
    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    HEADERHEADER
    BODYBODY
    QUERY_PARAMQUERY_PARAM
    PATHPATH
    Value
    HEADER
    BODY
    QUERY_PARAM
    PATH

    ConnectionTypeFieldDefinition, ConnectionTypeFieldDefinitionArgs

    Defines a field in an entity schema.

    FieldDataType Pulumi.AwsNative.Glue.ConnectionTypeFieldDefinitionFieldDataType
    The data type of the field.
    Name string
    The name of the field.
    FilterOverrides Pulumi.AwsNative.Glue.Inputs.ConnectionTypeFilterOverrides
    IsNullable bool
    Indicates whether this field can contain null values.
    IsOrderable bool
    Indicates whether this field can be used for ordering results.
    IsPartitionable bool
    Indicates whether this field can be used for partitioning queries to the data source.
    IsQueryable bool
    Indicates whether this field can be used in filter predicates when querying data.
    ResponseDateFormat string
    The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
    FieldDataType ConnectionTypeFieldDefinitionFieldDataType
    The data type of the field.
    Name string
    The name of the field.
    FilterOverrides ConnectionTypeFilterOverrides
    IsNullable bool
    Indicates whether this field can contain null values.
    IsOrderable bool
    Indicates whether this field can be used for ordering results.
    IsPartitionable bool
    Indicates whether this field can be used for partitioning queries to the data source.
    IsQueryable bool
    Indicates whether this field can be used in filter predicates when querying data.
    ResponseDateFormat string
    The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
    field_data_type "INT" | "SMALLINT" | "BIGINT" | "FLOAT" | "LONG" | "DATE" | "BOOLEAN" | "MAP" | "ARRAY" | "STRING" | "TIMESTAMP" | "DECIMAL" | "BYTE" | "SHORT" | "DOUBLE" | "STRUCT" | "BINARY" | "UNION"
    The data type of the field.
    name string
    The name of the field.
    filter_overrides object
    is_nullable bool
    Indicates whether this field can contain null values.
    is_orderable bool
    Indicates whether this field can be used for ordering results.
    is_partitionable bool
    Indicates whether this field can be used for partitioning queries to the data source.
    is_queryable bool
    Indicates whether this field can be used in filter predicates when querying data.
    response_date_format string
    The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
    fieldDataType ConnectionTypeFieldDefinitionFieldDataType
    The data type of the field.
    name String
    The name of the field.
    filterOverrides ConnectionTypeFilterOverrides
    isNullable Boolean
    Indicates whether this field can contain null values.
    isOrderable Boolean
    Indicates whether this field can be used for ordering results.
    isPartitionable Boolean
    Indicates whether this field can be used for partitioning queries to the data source.
    isQueryable Boolean
    Indicates whether this field can be used in filter predicates when querying data.
    responseDateFormat String
    The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
    fieldDataType ConnectionTypeFieldDefinitionFieldDataType
    The data type of the field.
    name string
    The name of the field.
    filterOverrides ConnectionTypeFilterOverrides
    isNullable boolean
    Indicates whether this field can contain null values.
    isOrderable boolean
    Indicates whether this field can be used for ordering results.
    isPartitionable boolean
    Indicates whether this field can be used for partitioning queries to the data source.
    isQueryable boolean
    Indicates whether this field can be used in filter predicates when querying data.
    responseDateFormat string
    The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
    field_data_type ConnectionTypeFieldDefinitionFieldDataType
    The data type of the field.
    name str
    The name of the field.
    filter_overrides ConnectionTypeFilterOverrides
    is_nullable bool
    Indicates whether this field can contain null values.
    is_orderable bool
    Indicates whether this field can be used for ordering results.
    is_partitionable bool
    Indicates whether this field can be used for partitioning queries to the data source.
    is_queryable bool
    Indicates whether this field can be used in filter predicates when querying data.
    response_date_format str
    The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.
    fieldDataType "INT" | "SMALLINT" | "BIGINT" | "FLOAT" | "LONG" | "DATE" | "BOOLEAN" | "MAP" | "ARRAY" | "STRING" | "TIMESTAMP" | "DECIMAL" | "BYTE" | "SHORT" | "DOUBLE" | "STRUCT" | "BINARY" | "UNION"
    The data type of the field.
    name String
    The name of the field.
    filterOverrides Property Map
    isNullable Boolean
    Indicates whether this field can contain null values.
    isOrderable Boolean
    Indicates whether this field can be used for ordering results.
    isPartitionable Boolean
    Indicates whether this field can be used for partitioning queries to the data source.
    isQueryable Boolean
    Indicates whether this field can be used in filter predicates when querying data.
    responseDateFormat String
    The format pattern for parsing date values from API responses. Accepts Java DateTimeFormatter patterns, EPOCH_SECONDS, or EPOCH_MILLIS.

    ConnectionTypeFieldDefinitionFieldDataType

    The data type of the field.

    NameValue
    IntINT
    SmallintSMALLINT
    BigintBIGINT
    FloatFLOAT
    LongLONG
    DateDATE
    BooleanBOOLEAN
    MapMAP
    ArrayARRAY
    StringSTRING
    TimestampTIMESTAMP
    DecimalDECIMAL
    ByteBYTE
    ShortSHORT
    DoubleDOUBLE
    StructSTRUCT
    BinaryBINARY
    UnionUNION
    NameValue
    ConnectionTypeFieldDefinitionFieldDataTypeIntINT
    ConnectionTypeFieldDefinitionFieldDataTypeSmallintSMALLINT
    ConnectionTypeFieldDefinitionFieldDataTypeBigintBIGINT
    ConnectionTypeFieldDefinitionFieldDataTypeFloatFLOAT
    ConnectionTypeFieldDefinitionFieldDataTypeLongLONG
    ConnectionTypeFieldDefinitionFieldDataTypeDateDATE
    ConnectionTypeFieldDefinitionFieldDataTypeBooleanBOOLEAN
    ConnectionTypeFieldDefinitionFieldDataTypeMapMAP
    ConnectionTypeFieldDefinitionFieldDataTypeArrayARRAY
    ConnectionTypeFieldDefinitionFieldDataTypeStringSTRING
    ConnectionTypeFieldDefinitionFieldDataTypeTimestampTIMESTAMP
    ConnectionTypeFieldDefinitionFieldDataTypeDecimalDECIMAL
    ConnectionTypeFieldDefinitionFieldDataTypeByteBYTE
    ConnectionTypeFieldDefinitionFieldDataTypeShortSHORT
    ConnectionTypeFieldDefinitionFieldDataTypeDoubleDOUBLE
    ConnectionTypeFieldDefinitionFieldDataTypeStructSTRUCT
    ConnectionTypeFieldDefinitionFieldDataTypeBinaryBINARY
    ConnectionTypeFieldDefinitionFieldDataTypeUnionUNION
    Value
    INT
    SMALLINT
    BIGINT
    FLOAT
    LONG
    DATE
    BOOLEAN
    MAP
    ARRAY
    STRING
    TIMESTAMP
    DECIMAL
    BYTE
    SHORT
    DOUBLE
    STRUCT
    BINARY
    UNION
    NameValue
    IntINT
    SmallintSMALLINT
    BigintBIGINT
    FloatFLOAT
    LongLONG
    DateDATE
    BooleanBOOLEAN
    MapMAP
    ArrayARRAY
    StringSTRING
    TimestampTIMESTAMP
    DecimalDECIMAL
    ByteBYTE
    ShortSHORT
    DoubleDOUBLE
    StructSTRUCT
    BinaryBINARY
    UnionUNION
    NameValue
    IntINT
    SmallintSMALLINT
    BigintBIGINT
    FloatFLOAT
    LongLONG
    DateDATE
    BooleanBOOLEAN
    MapMAP
    ArrayARRAY
    StringSTRING
    TimestampTIMESTAMP
    DecimalDECIMAL
    ByteBYTE
    ShortSHORT
    DoubleDOUBLE
    StructSTRUCT
    BinaryBINARY
    UnionUNION
    NameValue
    INTINT
    SMALLINTSMALLINT
    BIGINTBIGINT
    FLOATFLOAT
    LONGLONG
    DATEDATE
    BOOLEANBOOLEAN
    MAPMAP
    ARRAYARRAY
    STRINGSTRING
    TIMESTAMPTIMESTAMP
    DECIMALDECIMAL
    BYTEBYTE
    SHORTSHORT
    DOUBLEDOUBLE
    STRUCTSTRUCT
    BINARYBINARY
    UNIONUNION
    Value
    INT
    SMALLINT
    BIGINT
    FLOAT
    LONG
    DATE
    BOOLEAN
    MAP
    ARRAY
    STRING
    TIMESTAMP
    DECIMAL
    BYTE
    SHORT
    DOUBLE
    STRUCT
    BINARY
    UNION

    ConnectionTypeFilterConfiguration, ConnectionTypeFilterConfigurationArgs

    Configuration that defines how filter predicates are applied to REST API requests, supporting both query parameter and filter string strategies.

    FilterMode Pulumi.AwsNative.Glue.ConnectionTypeFilterConfigurationFilterMode
    The strategy for applying filters to requests.
    BetweenConfiguration Pulumi.AwsNative.Glue.Inputs.ConnectionTypeBetweenConfiguration
    DateTimeFormat string
    The global date and time format for filter expressions.
    FilterStringConfiguration Pulumi.AwsNative.Glue.Inputs.ConnectionTypeFilterStringConfiguration
    OperatorMappings Dictionary<string, string>
    A map of logical filter operators to their API-specific string representations.
    StripQuotes bool
    Indicates whether surrounding double quotes should be stripped from filter values before processing.
    FilterMode ConnectionTypeFilterConfigurationFilterMode
    The strategy for applying filters to requests.
    BetweenConfiguration ConnectionTypeBetweenConfiguration
    DateTimeFormat string
    The global date and time format for filter expressions.
    FilterStringConfiguration ConnectionTypeFilterStringConfiguration
    OperatorMappings map[string]string
    A map of logical filter operators to their API-specific string representations.
    StripQuotes bool
    Indicates whether surrounding double quotes should be stripped from filter values before processing.
    filter_mode "QUERY_PARAMS" | "FILTER_STRING"
    The strategy for applying filters to requests.
    between_configuration object
    date_time_format string
    The global date and time format for filter expressions.
    filter_string_configuration object
    operator_mappings map(string)
    A map of logical filter operators to their API-specific string representations.
    strip_quotes bool
    Indicates whether surrounding double quotes should be stripped from filter values before processing.
    filterMode ConnectionTypeFilterConfigurationFilterMode
    The strategy for applying filters to requests.
    betweenConfiguration ConnectionTypeBetweenConfiguration
    dateTimeFormat String
    The global date and time format for filter expressions.
    filterStringConfiguration ConnectionTypeFilterStringConfiguration
    operatorMappings Map<String,String>
    A map of logical filter operators to their API-specific string representations.
    stripQuotes Boolean
    Indicates whether surrounding double quotes should be stripped from filter values before processing.
    filterMode ConnectionTypeFilterConfigurationFilterMode
    The strategy for applying filters to requests.
    betweenConfiguration ConnectionTypeBetweenConfiguration
    dateTimeFormat string
    The global date and time format for filter expressions.
    filterStringConfiguration ConnectionTypeFilterStringConfiguration
    operatorMappings {[key: string]: string}
    A map of logical filter operators to their API-specific string representations.
    stripQuotes boolean
    Indicates whether surrounding double quotes should be stripped from filter values before processing.
    filter_mode ConnectionTypeFilterConfigurationFilterMode
    The strategy for applying filters to requests.
    between_configuration ConnectionTypeBetweenConfiguration
    date_time_format str
    The global date and time format for filter expressions.
    filter_string_configuration ConnectionTypeFilterStringConfiguration
    operator_mappings Mapping[str, str]
    A map of logical filter operators to their API-specific string representations.
    strip_quotes bool
    Indicates whether surrounding double quotes should be stripped from filter values before processing.
    filterMode "QUERY_PARAMS" | "FILTER_STRING"
    The strategy for applying filters to requests.
    betweenConfiguration Property Map
    dateTimeFormat String
    The global date and time format for filter expressions.
    filterStringConfiguration Property Map
    operatorMappings Map<String>
    A map of logical filter operators to their API-specific string representations.
    stripQuotes Boolean
    Indicates whether surrounding double quotes should be stripped from filter values before processing.

    ConnectionTypeFilterConfigurationFilterMode

    The strategy for applying filters to requests.

    NameValue
    QueryParamsQUERY_PARAMS
    FilterStringFILTER_STRING
    NameValue
    ConnectionTypeFilterConfigurationFilterModeQueryParamsQUERY_PARAMS
    ConnectionTypeFilterConfigurationFilterModeFilterStringFILTER_STRING
    Value
    QUERY_PARAMS
    FILTER_STRING
    NameValue
    QueryParamsQUERY_PARAMS
    FilterStringFILTER_STRING
    NameValue
    QueryParamsQUERY_PARAMS
    FilterStringFILTER_STRING
    NameValue
    QUERY_PARAMSQUERY_PARAMS
    FILTER_STRINGFILTER_STRING
    Value
    QUERY_PARAMS
    FILTER_STRING

    ConnectionTypeFilterOverrides, ConnectionTypeFilterOverridesArgs

    Configuration that defines per-field overrides for filter behavior, allowing individual fields to customize how filter operations are applied.

    BetweenConfiguration Pulumi.AwsNative.Glue.Inputs.ConnectionTypeBetweenConfiguration
    DateTimeFormat string
    The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
    FieldName string
    An override for the field name to use in filter expressions, if different from the schema field name.
    OperatorMappings Dictionary<string, string>
    A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
    BetweenConfiguration ConnectionTypeBetweenConfiguration
    DateTimeFormat string
    The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
    FieldName string
    An override for the field name to use in filter expressions, if different from the schema field name.
    OperatorMappings map[string]string
    A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
    between_configuration object
    date_time_format string
    The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
    field_name string
    An override for the field name to use in filter expressions, if different from the schema field name.
    operator_mappings map(string)
    A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
    betweenConfiguration ConnectionTypeBetweenConfiguration
    dateTimeFormat String
    The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
    fieldName String
    An override for the field name to use in filter expressions, if different from the schema field name.
    operatorMappings Map<String,String>
    A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
    betweenConfiguration ConnectionTypeBetweenConfiguration
    dateTimeFormat string
    The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
    fieldName string
    An override for the field name to use in filter expressions, if different from the schema field name.
    operatorMappings {[key: string]: string}
    A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
    between_configuration ConnectionTypeBetweenConfiguration
    date_time_format str
    The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
    field_name str
    An override for the field name to use in filter expressions, if different from the schema field name.
    operator_mappings Mapping[str, str]
    A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.
    betweenConfiguration Property Map
    dateTimeFormat String
    The date and time format for filter expressions on this field, overriding the global DateTimeFormat.
    fieldName String
    An override for the field name to use in filter expressions, if different from the schema field name.
    operatorMappings Map<String>
    A map of logical filter operators to their field-specific API representations, overriding the global operator mappings.

    ConnectionTypeFilterStringConfiguration, ConnectionTypeFilterStringConfigurationArgs

    Configuration for constructing filter expression strings when using the FILTER_STRING filter mode.

    QueryParameterName string
    The query parameter name used to send the constructed filter expression string in API requests.
    QuoteCharacter string
    The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
    QuoteStringValues bool
    Indicates whether string and date values should be wrapped with a quote character in the filter expression.
    QueryParameterName string
    The query parameter name used to send the constructed filter expression string in API requests.
    QuoteCharacter string
    The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
    QuoteStringValues bool
    Indicates whether string and date values should be wrapped with a quote character in the filter expression.
    query_parameter_name string
    The query parameter name used to send the constructed filter expression string in API requests.
    quote_character string
    The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
    quote_string_values bool
    Indicates whether string and date values should be wrapped with a quote character in the filter expression.
    queryParameterName String
    The query parameter name used to send the constructed filter expression string in API requests.
    quoteCharacter String
    The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
    quoteStringValues Boolean
    Indicates whether string and date values should be wrapped with a quote character in the filter expression.
    queryParameterName string
    The query parameter name used to send the constructed filter expression string in API requests.
    quoteCharacter string
    The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
    quoteStringValues boolean
    Indicates whether string and date values should be wrapped with a quote character in the filter expression.
    query_parameter_name str
    The query parameter name used to send the constructed filter expression string in API requests.
    quote_character str
    The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
    quote_string_values bool
    Indicates whether string and date values should be wrapped with a quote character in the filter expression.
    queryParameterName String
    The query parameter name used to send the constructed filter expression string in API requests.
    quoteCharacter String
    The character used to quote values when QuoteStringValues is true. Defaults to double quotes if not specified.
    quoteStringValues Boolean
    Indicates whether string and date values should be wrapped with a quote character in the filter expression.

    ConnectionTypeIntegrationType

    The integration type for the connection. Currently only REST is supported.

    NameValue
    RestREST
    NameValue
    ConnectionTypeIntegrationTypeRestREST
    Value
    REST
    NameValue
    RestREST
    NameValue
    RestREST
    NameValue
    RESTREST
    Value
    REST

    ConnectionTypeJwtBearerProperties, ConnectionTypeJwtBearerPropertiesArgs

    JWT bearer token configuration.

    ConnectionTypeJwtBearerPropertiesContentType

    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    ConnectionTypeJwtBearerPropertiesContentTypeApplicationJsonAPPLICATION_JSON
    ConnectionTypeJwtBearerPropertiesContentTypeUrlEncodedURL_ENCODED
    Value
    APPLICATION_JSON
    URL_ENCODED
    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    ApplicationJsonAPPLICATION_JSON
    UrlEncodedURL_ENCODED
    NameValue
    APPLICATION_JSONAPPLICATION_JSON
    URL_ENCODEDURL_ENCODED
    Value
    APPLICATION_JSON
    URL_ENCODED

    ConnectionTypeJwtBearerPropertiesRequestMethod

    NameValue
    GetGET
    PostPOST
    NameValue
    ConnectionTypeJwtBearerPropertiesRequestMethodGetGET
    ConnectionTypeJwtBearerPropertiesRequestMethodPostPOST
    Value
    GET
    POST
    NameValue
    GetGET
    PostPOST
    NameValue
    GetGET
    PostPOST
    NameValue
    GETGET
    POSTPOST
    Value
    GET
    POST

    ConnectionTypeOffsetConfiguration, ConnectionTypeOffsetConfigurationArgs

    Offset-based pagination configuration.

    ConnectionTypePaginationConfiguration, ConnectionTypePaginationConfigurationArgs

    Configuration for handling paginated responses.

    ConnectionTypeResponseConfiguration, ConnectionTypeResponseConfigurationArgs

    Configuration for parsing JSON responses from REST API calls.

    ResultPath string
    JSON path expression for result data location.
    ErrorPath string
    JSON path expression for error information location.
    ResultPath string
    JSON path expression for result data location.
    ErrorPath string
    JSON path expression for error information location.
    result_path string
    JSON path expression for result data location.
    error_path string
    JSON path expression for error information location.
    resultPath String
    JSON path expression for result data location.
    errorPath String
    JSON path expression for error information location.
    resultPath string
    JSON path expression for result data location.
    errorPath string
    JSON path expression for error information location.
    result_path str
    JSON path expression for result data location.
    error_path str
    JSON path expression for error information location.
    resultPath String
    JSON path expression for result data location.
    errorPath String
    JSON path expression for error information location.

    ConnectionTypeResponseExtractionMapping, ConnectionTypeResponseExtractionMappingArgs

    Defines how to extract values from HTTP responses.

    ContentPath string
    A JSON path expression to extract a value from response body.
    HeaderKey string
    The name of an HTTP response header from which to extract the value.
    ContentPath string
    A JSON path expression to extract a value from response body.
    HeaderKey string
    The name of an HTTP response header from which to extract the value.
    content_path string
    A JSON path expression to extract a value from response body.
    header_key string
    The name of an HTTP response header from which to extract the value.
    contentPath String
    A JSON path expression to extract a value from response body.
    headerKey String
    The name of an HTTP response header from which to extract the value.
    contentPath string
    A JSON path expression to extract a value from response body.
    headerKey string
    The name of an HTTP response header from which to extract the value.
    content_path str
    A JSON path expression to extract a value from response body.
    header_key str
    The name of an HTTP response header from which to extract the value.
    contentPath String
    A JSON path expression to extract a value from response body.
    headerKey String
    The name of an HTTP response header from which to extract the value.

    ConnectionTypeRestConfiguration, ConnectionTypeRestConfigurationArgs

    Configuration for HTTP request and response handling.

    EntityConfigurations Dictionary<string, Pulumi.AwsNative.Glue.Inputs.ConnectionTypeEntityConfiguration>
    A map of entity configurations.
    GlobalSourceConfiguration Pulumi.AwsNative.Glue.Inputs.ConnectionTypeSourceConfiguration
    ValidationEndpointConfiguration Pulumi.AwsNative.Glue.Inputs.ConnectionTypeRestConfigurationValidationEndpointConfigurationProperties
    Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
    EntityConfigurations map[string]ConnectionTypeEntityConfiguration
    A map of entity configurations.
    GlobalSourceConfiguration ConnectionTypeSourceConfiguration
    ValidationEndpointConfiguration ConnectionTypeRestConfigurationValidationEndpointConfigurationProperties
    Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
    entity_configurations map(object)
    A map of entity configurations.
    global_source_configuration object
    validation_endpoint_configuration object
    Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
    entityConfigurations Map<String,ConnectionTypeEntityConfiguration>
    A map of entity configurations.
    globalSourceConfiguration ConnectionTypeSourceConfiguration
    validationEndpointConfiguration ConnectionTypeRestConfigurationValidationEndpointConfigurationProperties
    Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
    entityConfigurations {[key: string]: ConnectionTypeEntityConfiguration}
    A map of entity configurations.
    globalSourceConfiguration ConnectionTypeSourceConfiguration
    validationEndpointConfiguration ConnectionTypeRestConfigurationValidationEndpointConfigurationProperties
    Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
    entity_configurations Mapping[str, ConnectionTypeEntityConfiguration]
    A map of entity configurations.
    global_source_configuration ConnectionTypeSourceConfiguration
    validation_endpoint_configuration ConnectionTypeRestConfigurationValidationEndpointConfigurationProperties
    Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.
    entityConfigurations Map<Property Map>
    A map of entity configurations.
    globalSourceConfiguration Property Map
    validationEndpointConfiguration Property Map
    Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.

    ConnectionTypeRestConfigurationValidationEndpointConfigurationProperties, ConnectionTypeRestConfigurationValidationEndpointConfigurationPropertiesArgs

    Configuration for the validation endpoint. Only supports RequestMethod and RequestPath.

    request_method "GET" | "POST"
    The HTTP method to use.
    request_path string
    The URL path for the REST endpoint.
    requestMethod "GET" | "POST"
    The HTTP method to use.
    requestPath String
    The URL path for the REST endpoint.

    ConnectionTypeRestConfigurationValidationEndpointConfigurationPropertiesRequestMethod

    The HTTP method to use.

    NameValue
    GetGET
    PostPOST
    NameValue
    ConnectionTypeRestConfigurationValidationEndpointConfigurationPropertiesRequestMethodGetGET
    ConnectionTypeRestConfigurationValidationEndpointConfigurationPropertiesRequestMethodPostPOST
    Value
    GET
    POST
    NameValue
    GetGET
    PostPOST
    NameValue
    GetGET
    PostPOST
    NameValue
    GETGET
    POSTPOST
    Value
    GET
    POST

    ConnectionTypeSecretConnectorProperty, ConnectionTypeSecretConnectorPropertyArgs

    Defines a secret property configuration. SECRET-type properties cannot have DefaultValue or AllowedValues.

    Name string
    The name of the property.
    PropertyType Pulumi.AwsNative.Glue.ConnectionTypeSecretConnectorPropertyPropertyType
    The data type of this property. Must be SECRET for secret properties.
    Required bool
    Indicates whether the property is required.
    KeyOverride string
    A key name to use when sending this property in API requests.
    PropertyLocation Pulumi.AwsNative.Glue.ConnectionTypeSecretConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    Name string
    The name of the property.
    PropertyType ConnectionTypeSecretConnectorPropertyPropertyType
    The data type of this property. Must be SECRET for secret properties.
    Required bool
    Indicates whether the property is required.
    KeyOverride string
    A key name to use when sending this property in API requests.
    PropertyLocation ConnectionTypeSecretConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    name string
    The name of the property.
    property_type "SECRET"
    The data type of this property. Must be SECRET for secret properties.
    required bool
    Indicates whether the property is required.
    key_override string
    A key name to use when sending this property in API requests.
    property_location "HEADER" | "BODY" | "QUERY_PARAM" | "PATH"
    Specifies where this property should be included in REST requests.
    name String
    The name of the property.
    propertyType ConnectionTypeSecretConnectorPropertyPropertyType
    The data type of this property. Must be SECRET for secret properties.
    required Boolean
    Indicates whether the property is required.
    keyOverride String
    A key name to use when sending this property in API requests.
    propertyLocation ConnectionTypeSecretConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    name string
    The name of the property.
    propertyType ConnectionTypeSecretConnectorPropertyPropertyType
    The data type of this property. Must be SECRET for secret properties.
    required boolean
    Indicates whether the property is required.
    keyOverride string
    A key name to use when sending this property in API requests.
    propertyLocation ConnectionTypeSecretConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    name str
    The name of the property.
    property_type ConnectionTypeSecretConnectorPropertyPropertyType
    The data type of this property. Must be SECRET for secret properties.
    required bool
    Indicates whether the property is required.
    key_override str
    A key name to use when sending this property in API requests.
    property_location ConnectionTypeSecretConnectorPropertyPropertyLocation
    Specifies where this property should be included in REST requests.
    name String
    The name of the property.
    propertyType "SECRET"
    The data type of this property. Must be SECRET for secret properties.
    required Boolean
    Indicates whether the property is required.
    keyOverride String
    A key name to use when sending this property in API requests.
    propertyLocation "HEADER" | "BODY" | "QUERY_PARAM" | "PATH"
    Specifies where this property should be included in REST requests.

    ConnectionTypeSecretConnectorPropertyPropertyLocation

    Specifies where this property should be included in REST requests.

    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    ConnectionTypeSecretConnectorPropertyPropertyLocationHeaderHEADER
    ConnectionTypeSecretConnectorPropertyPropertyLocationBodyBODY
    ConnectionTypeSecretConnectorPropertyPropertyLocationQueryParamQUERY_PARAM
    ConnectionTypeSecretConnectorPropertyPropertyLocationPathPATH
    Value
    HEADER
    BODY
    QUERY_PARAM
    PATH
    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    HeaderHEADER
    BodyBODY
    QueryParamQUERY_PARAM
    PathPATH
    NameValue
    HEADERHEADER
    BODYBODY
    QUERY_PARAMQUERY_PARAM
    PATHPATH
    Value
    HEADER
    BODY
    QUERY_PARAM
    PATH

    ConnectionTypeSecretConnectorPropertyPropertyType

    The data type of this property. Must be SECRET for secret properties.

    NameValue
    SecretSECRET
    NameValue
    ConnectionTypeSecretConnectorPropertyPropertyTypeSecretSECRET
    Value
    SECRET
    NameValue
    SecretSECRET
    NameValue
    SecretSECRET
    NameValue
    SECRETSECRET
    Value
    SECRET

    ConnectionTypeSourceConfiguration, ConnectionTypeSourceConfigurationArgs

    Configuration that defines how to make requests to endpoints.

    filter_configuration object
    pagination_configuration object
    request_method "GET" | "POST"
    The HTTP method to use.
    request_parameters list(object)
    Request parameters configuration.
    request_path string
    The URL path for the REST endpoint.
    response_configuration object

    ConnectionTypeSourceConfigurationRequestMethod

    The HTTP method to use.

    NameValue
    GetGET
    PostPOST
    NameValue
    ConnectionTypeSourceConfigurationRequestMethodGetGET
    ConnectionTypeSourceConfigurationRequestMethodPostPOST
    Value
    GET
    POST
    NameValue
    GetGET
    PostPOST
    NameValue
    GetGET
    PostPOST
    NameValue
    GETGET
    POSTPOST
    Value
    GET
    POST

    Tag, TagArgs

    A set of tags to apply to the resource.

    Key string
    The key name of the tag
    Value string
    The value of the tag
    Key string
    The key name of the tag
    Value string
    The value of the tag
    key string
    The key name of the tag
    value string
    The value of the tag
    key String
    The key name of the tag
    value String
    The value of the tag
    key string
    The key name of the tag
    value string
    The value of the tag
    key str
    The key name of the tag
    value str
    The value of the tag
    key String
    The key name of the tag
    value String
    The value of the tag

    Package Details

    Repository
    AWS Native pulumi/pulumi-aws-native
    License
    Apache-2.0
    aws-native logo aws-native logo AWS Cloud Control

    We recommend new projects start with resources from the AWS provider.

    Viewing docs for AWS Cloud Control v1.86.0
    published on Wednesday, Nov 18, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial